/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "setting.h"


sh::settings::Setting::Setting()
{
}

sh::settings::Setting::~Setting()
{
}

QString sh::settings::Setting::valueDescription(QString value)
{
    return "'" + value + "'";
}

QString sh::settings::Setting::getGroupDescription(int g)
{
    if (g==GLOBAL)
        return QObject::tr("Global arrangements");
    if (g==GUI)
        return QObject::tr("Representation");
    if (g==FILEHANDLING)
        return QObject::tr("File handling");
    if (g==DATAVIEW)
        return QObject::tr("Data view");
    if (g==BEHAVIOR)
        return QObject::tr("Behavior");
    if (g==SPECIAL)
        return QObject::tr("Special stuff");
    return QObject::tr("Other");
}
