import shallot

# Asking the user is mostly done with methods from info.userfeedback().
# See shallot.Actions.ExecutionUserFeedback.

class MyAction(shallot.Actions.ActionAction):

    def __init__(self):
        shallot.Actions.ActionAction.__init__(self, "My action")

    def action(self, info):
        info.set_head("Doing something awesome")
        answer = info.userfeedback().simple_inputbox("Hello my friend. Please enter your name.",  # question
                                                    "Michael")  # default answer
        if answer is not None:
            info.userfeedback().simple_messagebox("Hello " + answer + ".",
                    shallot.Actions.ExecutionUserFeedback.MessageBoxButton.OK,  # buttons
                    "arrow-right",  # icon (or None)
                    shallot.Actions.ExecutionUserFeedback.MessageBoxButton.OK,  # default enter button
                    0)  # default escape button


myaction = MyAction()
myaction.initialize_sync()
myaction.execute()

