/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "filevieweventsimpl.h"


sh::ui::fileview::FileViewEventsImpl::FileViewEventsImpl(QObject *parent, int index) :
    sh::ui::fileview::FileViewEvents(parent, index)
{
}

void sh::ui::fileview::FileViewEventsImpl::emit_nodesActivated(QList<std::shared_ptr<sh::base::FilesystemNode>> nodes)
{
    emit nodesActivated(nodes);
}

void sh::ui::fileview::FileViewEventsImpl::emit_viewOptionChanged()
{
    emit viewOptionChanged();
}

void sh::ui::fileview::FileViewEventsImpl::emit_selectionChanged()
{
    emit selectionChanged();
}
